backend:
  name: github
  repo: "dmrty/improcetout"
  branch: main # Branch to update (optional; defaults to master)u8
media_folder: 'src/images/'
public_folder: '/images/'
collections:
  - name: locations
    label: Lieux
    label_singular: Lieu
    folder: 'src/_locations/'
    slug: '{{slug}}'
    create: true
    editor: 
      preview: false
    fields: 
      - name: title
        label: Nom
        widget: string
      - name: url
        label: Lien
        widget: string
      - name: address_1
        label: Rue et numero
        widget: string
      - name: postalcode
        label: Code postal
        widget: number
      - name: city
        label: Ville
        widget: string
      - name: country
        label: Pays
        widget: select
        default: Suisse
        options: 
          - Suisse
          - France
          - Belgique
          - Quebec
          - Luxembourg
          - Allemagne
          - Italie
  - name: members
    label: Membres
    folder: 'src/_members/'
    create: true
    slug: '{{title}}'
    summary: '{{title}}'
    editor: 
      preview: false
    fields:
      - name: title
        label: Titre
        widget: string
      - name: alumni
        label: A quitté la troupe
        widget: boolean
        default: false
      - name: hidden
        label: Masqué
        widget: boolean
        default: false
      - name: photo
        label: Photo
        widget: image
        media_folder: /src/images/membres
        public_folder: /images/membres
        required: false
  - name: shows
    label: Spectacles
    folder: 'src/_shows/'
    create: true
    slug: '{{year}}-{{month}}-{{day}}-{{title}}'
    summary: '{{date | date("DD.MM.YYYY") }} • {{title}} • {{location}}'
    editor: 
      preview: false
    sortable_fields:
      fields: [title, date, author]
      default:
        field: date
        direction: descending # default: ascending
    fields:
      - name: title
        label: Titre
        widget: string
        hint: Le nom du concept ou de notre moment.
      - name: location
        label: Lieu
        widget: relation
        collection: locations
        value_field: '{{slug}}'
        search_fields:
          - title
          - city 
          - country
        display_fields: 
          - title
          - city 
          - country
      - name: date
        label: Date
        widget: datetime
        date_format: YYYY-MM-DD
        time_format: false
        default: ''
      - name: time
        label: Début de spectacle
        widget: string
        pattern: ['\d\dh\d\d', 'Doit être du format 00h00']
        hint: Doit être du format 19h30
        default: 20h30
      - name: opening_time
        label: Ouverture des portes 
        pattern: ['(\d\dh\d\d)?', 'Doit être du format 00h00']
        hint: Doit être du format 19h30
        default: 19h30
        widget: string
        required: false
      - name: duration
        label: Durée
        pattern: ['(\d{1,2}\s?h)?\s?(\d{1,2}\s?min)?', 'Doit être du format 00h00 ou 00min']
        hint: Doit être du format 19h30 ou 45min
        default: 2h00
        widget: string
        required: false
      - name: cost
        label: Prix
        widget: string
        default: Au chapeau
        hint: '"Au chapeau" ou le montant avec les francs (par ex. 25Frs)'  
      - name: booking
        label: Réservation
        widget: select
        default: recommandée
        options:
          - recommandée
          - obligatoire
          - sans
      - name: registration_url
        label: Lien pour acheter un billet
        required: false
      - name: description 
        label: Description
        widget: text
      - name: image 
        label: Illustration
        widget: image
      - name: context
        label: Festival
        widget: string
        required: false
        hint: Le nom du festival si ca fait partie d'un festival
      - name: context_url
        label: Lien vers le festival
        required: false
      - name: with
        label: Troupes
        widget: string
        required: false
        hint: Le nom d'une ou plusieurs troupes lors d'un match
      - name: members
        label: Participants
        widget: relation
        collection: members
        multiple: true
        value_field: '{{slug}}'
        search_fields:
          - title
        display_fields:
          - title
        required: false
      - name: body
        label: Corps du texte
        widget: markdown
        required: false
            
          
        
        
        
